using WF_WebAdmin.Model;

namespace WF_WebAdmin.Service
{
    public interface IQuoteService
    {
        public Task addQuote(Quote quote);

        public Task removeQuote(Quote quote);

        public Task validQuote(Quote quote);

        public Task updateQuote(Quote quote);

        public Task<List<Quote>> getAllQuote();

        public Task<List<Quote>> getSomeQuote(int nb, int page);

        public Task<List<Quote>> getOnequote(int id);

        public Task<List<Quote>> reserchQuote(string reserch, List<string> argument);

        public Task<List<Quote>> getAllQuoteInvalid();

        public Task<List<Quote>> getSomeQuoteInvalid(int nb, int page);
    }
}
